Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes
Class TDeclareVariable

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.nodes.TDeclareVariable

All Implemented Interfaces:
  Visitable

    public class TDeclareVariable

extends TParseTreeNode

SQL Server declare variable

Constructor Summary
`TDeclareVariable()`

Method Summary
`TTypeName` | `getDatatype()`
`TExpression` | `getDefaultValue()`
`TTableElementList` | `getTableTypeDefinitions()`
`TObjectName` | `getVariableName()`
`int` | `getVariableType()`
`void` | `init(java.lang.Object arg1)` Initialize a query tree node.
`void` | `init(java.lang.Object arg1, java.lang.Object arg2)`
`void` | `setDatatype(TTypeName datatype)`
`void` | `setDefaultValue(TExpression defaultValue)`
`void` | `setTableTypeDefinitions(TTableElementList tableTypeDefinitions)`
`void` | `setVariableType(int variableType)`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`accept, addAllMyTokensToTokenList, doParse, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TDeclareVariable

    public TDeclareVariable()

Method Detail

### setTableTypeDefinitions

    public void setTableTypeDefinitions(TTableElementList tableTypeDefinitions)

### setVariableType

    public void setVariableType(int variableType)

### getTableTypeDefinitions

    public TTableElementList getTableTypeDefinitions()

### setDefaultValue

    public void setDefaultValue(TExpression defaultValue)

### getDatatype

    public TTypeName getDatatype()

### getDefaultValue

    public TExpression getDefaultValue()

### getVariableName

    public TObjectName getVariableName()

### getVariableType

    public int getVariableType()

### init

    public void init(java.lang.Object arg1)

  Description copied from class: `TParseTreeNode`
  Initialize a query tree node.

  Overrides:
    `init` in class `TParseTreeNode`

### setDatatype

    public void setDatatype(TTypeName datatype)

### init

    public void init(java.lang.Object arg1,
                     java.lang.Object arg2)

  Overrides:
    `init` in class `TParseTreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD